<?php
/**
*
* @package phpBB Extension - Facebook likebox
* @copyright (c) 2016 theriddler - http://www.peppersrus-forum.nl
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace theriddler\facebooklikebox\migrations;

class facebooklikebox_v1 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['facebooklikebox_version']) && version_compare($this->config['facebooklikebox_version'], '1.0.1', '>=');
	}
	
	static public function depends_on()
	{
		return array('\theriddler\facebooklikebox\migrations\install_facebooklikebox');
	}
	
	public function update_data()
	{
		return array(
			// Add configs
			array('config.add', array('facebooklikebox_url_field', '')),
			array('config.add', array('facebooklikebox_appid_field', '')),
			array('config.update', array('facebooklikebox_version', '1.0.1')),
		);
	}
}
