<?php
/**
*
* @package phpBB Extension - Facebook likebox
* @copyright (c) 2016 theriddler - http://www.peppersrus-forum.nl
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters for use
// ’ » “ ” …

$lang = array_merge($lang, array(
	'ACP_FACEBOOKLIKEBOX_SETTINGS'						=> 'Facebook likebox instellingen',
	'ACP_FACEBOOKLIKEBOX_CONFIG'						=> 'Configuratie',
	'ACP_FACEBOOKLIKEBOX_CONFIG_SAVED'					=> 'Facebook likebox instellingen bewaard',
	'ACP_FACEBOOKLIKEBOX_VERSION'						=> 'Versie',
	'ACP_FACEBOOKLIKEBOX_MADEBY'						=> 'Gemaakt door <a href="http://www.peppersrus-forum.nl"><strong>Theriddler</strong></a>',
	'ACP_FACEBOOKLIKEBOX_ENABLE'						=> 'Facebook likebox inschakelen',
	'ACP_FACEBOOKLIKEBOX_ENABLE_EXPLAIN'				=> 'Zet de Facebook likebox Extensie aan.',
	'ACP_FACEBOOKLIKEBOX_URL_FIELD'						=> 'Facebook pages URL',
	'ACP_FACEBOOKLIKEBOX_URL_FIELD_EXPLAIN'				=> 'voorbeeld: <em>https://www.facebook.com/Peppersrusforum.nl</em>',
	'ACP_FACEBOOKLIKEBOX_APPID_FIELD'					=> 'Facebook AppID',
	'ACP_FACEBOOKLIKEBOX_APPID_FIELD_EXPLAIN'			=> 'Je hebt een AppID nodig van facebook.<br />Instructies om er èèn aan te maken: <a href="http://www.shoutmeloud.com/get-facebook-app-id-secret-key.html  "onclick="window.open(this.href);return false;">http://www.shoutmeloud.com/get-facebook-app-id-secret-key.html</a>',
	'FACEBOOKLIKEBOX_FOLLOWUS_TEXT'						=> 'Volg ons op Facebook',
	'FACEBOOKLIKEBOX_SCRIPT_LANG'						=> 'nl_NL',
));
